#include <stddef.h>
#include <stdlib.h>
#include "intmatrix.h"

int **
Intmatrix_new (int width, int height) {
  int **intmatrix, i;

  intmatrix = (int **) calloc(width,sizeof(int *));
  for (i = 0; i < width; ++i) {
    intmatrix[i] = (int *) calloc(height,sizeof(int));
  }
  return intmatrix;
}

void
Intmatrix_free (int ***intmatrix, int width) {
  int i;

  for (i = 0; i < width; ++i) {
    free((*intmatrix)[i]);
  }
  free(*intmatrix);
}



int *
Intvector_new (int length) {
  return (int *) calloc(length,sizeof(int));
}

void
Intvector_free (int **intvector) {
  free(*intvector);
}

