#ifndef PSSM_INCLUDED
#define PSSM_INCLUDED
#include "matrix.h"

//global variable
//double scale;

typedef struct scaled_PSSM{
  Matrix_T pssm;
  double scale;
} scaled_PSSM;

//extern void
//PSSM_print (Matrix_T pssm, int positions);
extern void
PSSM_print (Matrix_T pssm, int positions, double scale);
extern Matrix_T
PSSM_logodds_new (Matrix_T freqs);
//extern Matrix_T
//PSSM_scaled_new (Matrix_T source);
extern scaled_PSSM*
PSSM_scaled_new (Matrix_T source);
#endif

